<!-- (ngSubmit)="addPitch(postForm.value)" -->
<mat-card>
  <mat-card-content>
    <div class="container">
      <p class="title">THÊM SÂN BÓNG</p>
      <form class="formGroup" [formGroup]="postForm">
        <div class="form-group">
          <mat-form-field class="full-width">
            <mat-label>Name</mat-label>
            <input matInput type="text" formControlName="name">
          </mat-form-field>
        </div><br>

        <div class="form-group address">
          <mat-form-field class="full-width">
            <mat-label>Address </mat-label>
            <textarea matInput rows="2" type="text" formControlName="address"></textarea>
          </mat-form-field> <br>
        </div>

        <div class="form-group">
          <mat-form-field class="full-width">
            <mat-label>Banner</mat-label>
            <input matInput type="text" formControlName="banner">
          </mat-form-field> <br>
        </div>

        <div class="form-group">
          <mat-form-field class="full-width">
            <mat-label>Phone Number</mat-label>
            <input matInput type="text" formControlName="phoneNumber">
          </mat-form-field>
        </div>
        <!-- 
        <div class="form-group">
          <mat-form-field class="full-width">
            <mat-label>Type</mat-label>
            <input matInput type="text" formControlName="type">
          </mat-form-field>
        </div> -->
        <!-- *ngFor="let data1 of Data; let i=index" -->
        <div class="form-group">
          <section class="section">
            <!-- <mat-checkbox class="ckbox" [checked] ="false" [value]="data1.value" (change)="onCheckboxChange($event)">
              {{data1.des}}
            </mat-checkbox>  -->
            <mat-checkbox formControlName="type1" [checked]="false" class="ckbox">Sân 5</mat-checkbox>
            <mat-checkbox formControlName="type2" class="ckbox">Sân 7</mat-checkbox>
            <mat-checkbox formControlName="type3" class="ckbox">Sân 10</mat-checkbox>
          </section>
        </div>

        <a routerLink="/center"><button mat-raised-button color="primary" [disabled]="postForm.invalid"
            (click)="onAdd(postForm.value)" class="btn btnEdit1" type="submit" value="Submit">
            Save</button></a>
        <a routerLink="/center"> <button mat-raised-button class="btn">Back</button></a>
      </form>

    </div>
  </mat-card-content>
</mat-card>